/*
 * SPDX-FileCopyrightText: 2022 The HedgeDoc developers (see AUTHORS file)
 *
 * SPDX-License-Identifier: AGPL-3.0-only
 */

import type { ReactElement } from 'react'
import React, { Fragment, useMemo } from 'react'
import { optionalAppExtensions } from '../../../../extensions/extra-integrations/optional-app-extensions'

/**
 * Generator react elements for components that are generated by the used {@link AppExtension app extensions}.
 */
export const useComponentsFromAppExtensions = (): ReactElement => {
  return useMemo(() => {
    return (
      <Fragment key={'app-extensions'}>
        {optionalAppExtensions.map((extension, index) =>
          React.createElement(extension.buildEditorExtensionComponent(), { key: index })
        )}
      </Fragment>
    )
  }, [])
}
